diff --git a/Languages/ISO639-2-LanguageCodes.rdf b/Languages/ISO639-2-LanguageCodes.rdf
index 2655b2a..844ab14 100644
--- a/Languages/ISO639-2-LanguageCodes.rdf
+++ b/Languages/ISO639-2-LanguageCodes.rdf
@@ -6617,8 +6617,8 @@
       <rdf:type rdf:resource="&lcc-lr;RemainderGroup"/>
       <skos:definition rdf:datatype="&xsd;string">Germanic languages remainder group</skos:definition>
       <rdfs:label>Germanic languages</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Germanic languages</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">germaniques, langues</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Germanic languages</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">germaniques, langues</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6627,8 +6627,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Gilbertese language</skos:definition>
       <rdfs:label>Gilbertese</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Gilbertese</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">kiribati</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Gilbertese</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">kiribati</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6637,8 +6637,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Language code for Gondi</skos:definition>
       <rdfs:label>Gondi</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Gondi</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">gond</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Gondi</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">gond</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6647,8 +6647,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Gorontalo language</skos:definition>
       <rdfs:label>Gorontalo</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Gorontalo</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">gorontalo</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Gorontalo</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">gorontalo</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6657,8 +6657,8 @@
       <rdf:type rdf:resource="&lcc-lr;IndividualLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Gothic language</skos:definition>
       <rdfs:label>Gothic</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Gothic</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">gothique</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Gothic</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">gothique</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6667,8 +6667,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Language code for Grebo</skos:definition>
       <rdfs:label>Grebo</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Grebo</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">grebo</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Grebo</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">grebo</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6677,8 +6677,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Gwich'in language</skos:definition>
       <rdfs:label>Gwich'in</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Gwich'in</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">gwich'in</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Gwich'in</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">gwich'in</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6687,8 +6687,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Language code for Haida</skos:definition>
       <rdfs:label>Haida</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Haida</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">haida</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Haida</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">haida</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6697,8 +6697,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Hawaiian language</skos:definition>
       <rdfs:label>Hawaiian</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Hawaiian</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">hawaïen</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Hawaiian</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">hawaïen</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6707,8 +6707,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Hiligaynon language</skos:definition>
       <rdfs:label>Hiligaynon</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Hiligaynon</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">hiligaynon</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Hiligaynon</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">hiligaynon</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6716,10 +6716,10 @@
       <rdf:type rdf:resource="&lcc-lr;LanguageFamily"/>
       <skos:definition rdf:datatype="&xsd;string">Himachali languages family</skos:definition>
       <rdfs:label>Himachali languages</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Himachali languages</lcc-lr:hasEnglishName>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Western Pahari languages</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">langues himachalis</lcc-lr:hasFrenchName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">langues paharis occidentales</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Himachali languages</lcc-lr:hasEnglishName>
+      <lcc-lr:hasEnglishName xml:lang="en">Western Pahari languages</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">langues himachalis</lcc-lr:hasFrenchName>
+      <lcc-lr:hasFrenchName xml:lang="fr">langues paharis occidentales</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6728,8 +6728,8 @@
       <rdf:type rdf:resource="&lcc-lr;IndividualLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Hittite language</skos:definition>
       <rdfs:label>Hittite</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Hittite</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">hittite</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Hittite</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">hittite</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6738,9 +6738,9 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Language code for Hmong</skos:definition>
       <rdfs:label>Hmong</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Hmong</lcc-lr:hasEnglishName>
-	     <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Mong</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">hmong</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Hmong</lcc-lr:hasEnglishName>
+	     <lcc-lr:hasEnglishName xml:lang="en">Mong</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">hmong</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6749,8 +6749,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Hupa language</skos:definition>
       <rdfs:label>Hupa</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Hupa</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">hupa</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Hupa</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">hupa</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6759,8 +6759,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Iban language</skos:definition>
       <rdfs:label>Iban</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Iban</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">iban</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Iban</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">iban</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6768,8 +6768,8 @@
       <rdf:type rdf:resource="&lcc-lr;LanguageFamily"/>
       <skos:definition rdf:datatype="&xsd;string">Ijo languages family</skos:definition>
       <rdfs:label>Ijo languages</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Ijo languages</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">ijo, langues</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Ijo languages</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">ijo, langues</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6778,8 +6778,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Iloko language</skos:definition>
       <rdfs:label>Iloko</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Iloko</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">ilocano</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Iloko</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">ilocano</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6788,8 +6788,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Inari Sami language</skos:definition>
       <rdfs:label>Inari Sami</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Inari Sami</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">sami d'Inari</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Inari Sami</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">sami d'Inari</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6797,8 +6797,8 @@
       <rdf:type rdf:resource="&lcc-lr;RemainderGroup"/>
       <skos:definition rdf:datatype="&xsd;string">Indic languages remainder group</skos:definition>
       <rdfs:label>Indic languages</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Indic languages</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">indo-aryennes, langues</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Indic languages</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">indo-aryennes, langues</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6806,8 +6806,8 @@
       <rdf:type rdf:resource="&lcc-lr;RemainderGroup"/>
       <skos:definition rdf:datatype="&xsd;string">Indo-European languages remainder group</skos:definition>
       <rdfs:label>Indo-European languages</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Indo-European languages</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">indo-européennes, langues</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Indo-European languages</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">indo-européennes, langues</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6816,8 +6816,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Ingush language</skos:definition>
       <rdfs:label>Ingush</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Ingush</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">ingouche</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Ingush</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">ingouche</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6825,8 +6825,8 @@
       <rdf:type rdf:resource="&lcc-lr;RemainderGroup"/>
       <skos:definition rdf:datatype="&xsd;string">Iranian languages remainder group</skos:definition>
       <rdfs:label>Iranian languages</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Iranian languages</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">iraniennes, langues</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Iranian languages</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">iraniennes, langues</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6834,8 +6834,8 @@
       <rdf:type rdf:resource="&lcc-lr;LanguageFamily"/>
       <skos:definition rdf:datatype="&xsd;string">Iroquoian languages family</skos:definition>
       <rdfs:label>Iroquoian languages</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Iroquoian languages</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">iroquoises, langues</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Iroquoian languages</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">iroquoises, langues</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6844,8 +6844,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Language code for Judeo-Arabic</skos:definition>
       <rdfs:label>Judeo-Arabic</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Judeo-Arabic</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">judéo-arabe</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Judeo-Arabic</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">judéo-arabe</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6854,8 +6854,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Judeo-Persian language</skos:definition>
       <rdfs:label>Judeo-Persian</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Judeo-Persian</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">judéo-persan</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Judeo-Persian</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">judéo-persan</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6864,8 +6864,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Kabardian language</skos:definition>
       <rdfs:label>Kabardian</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Kabardian</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">kabardien</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Kabardian</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">kabardien</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6874,8 +6874,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Kabyle language</skos:definition>
       <rdfs:label>Kabyle</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Kabyle</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">kabyle</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Kabyle</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">kabyle</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6884,10 +6884,10 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Kachin language</skos:definition>
       <rdfs:label>Kachin</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Jingpho</lcc-lr:hasEnglishName>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Kachin</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">jingpho</lcc-lr:hasFrenchName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">kachin</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Jingpho</lcc-lr:hasEnglishName>
+      <lcc-lr:hasEnglishName xml:lang="en">Kachin</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">jingpho</lcc-lr:hasFrenchName>
+      <lcc-lr:hasFrenchName xml:lang="fr">kachin</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6896,10 +6896,10 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Kalmyk language</skos:definition>
       <rdfs:label>Kalmyk</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Kalmyk</lcc-lr:hasEnglishName>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Oirat</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">kalmouk</lcc-lr:hasFrenchName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">oïrat</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Kalmyk</lcc-lr:hasEnglishName>
+      <lcc-lr:hasEnglishName xml:lang="en">Oirat</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">kalmouk</lcc-lr:hasFrenchName>
+      <lcc-lr:hasFrenchName xml:lang="fr">oïrat</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6908,8 +6908,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Kamba language</skos:definition>
       <rdfs:label>Kamba</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Kamba (Kenya)</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">kamba</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Kamba (Kenya)</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">kamba</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6918,8 +6918,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Karachay-Balkar language</skos:definition>
       <rdfs:label>Karachay-Balkar</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Karachay-Balkar</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">karatchai balkar</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Karachay-Balkar</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">karatchai balkar</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6928,8 +6928,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Kara-Kalpak language</skos:definition>
       <rdfs:label>Kara-Kalpak</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Kara-Kalpak</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">karakalpak</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Kara-Kalpak</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">karakalpak</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6938,8 +6938,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Karelian language</skos:definition>
       <rdfs:label>Karelian</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Karelian</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">carélien</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Karelian</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">carélien</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6947,8 +6947,8 @@
       <rdf:type rdf:resource="&lcc-lr;LanguageFamily"/>
       <skos:definition rdf:datatype="&xsd;string">Karen languages family</skos:definition>
       <rdfs:label>Karen languages</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Karen languages</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">karen, langues</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Karen languages</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">karen, langues</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6957,8 +6957,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Kashubian language</skos:definition>
       <rdfs:label>Kashubian</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Kashubian</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">kachoube</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Kashubian</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">kachoube</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6967,8 +6967,8 @@
       <rdf:type rdf:resource="&lcc-lr;IndividualLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Kawi language</skos:definition>
       <rdfs:label>Kawi</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Kawi</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">kawi</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Kawi</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">kawi</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6977,8 +6977,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Khasi language</skos:definition>
       <rdfs:label>Khasi</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Khasi</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">khasi</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Khasi</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">khasi</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6986,8 +6986,8 @@
       <rdf:type rdf:resource="&lcc-lr;RemainderGroup"/>
       <skos:definition rdf:datatype="&xsd;string">Khoisan languages remainder group</skos:definition>
       <rdfs:label>Khoisan languages</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Khoisan languages</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">khoïsan, langues</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Khoisan languages</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">khoïsan, langues</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6996,11 +6996,11 @@
       <rdf:type rdf:resource="&lcc-lr;IndividualLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Khotanese language</skos:definition>
       <rdfs:label>Khotanese</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Khotanese</lcc-lr:hasEnglishName>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Sakan</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">khotanais</lcc-lr:hasFrenchName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">sakan</lcc-lr:hasFrenchName>
-      <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Sakisch</lcc-lr:hasGermanName>
+      <lcc-lr:hasEnglishName xml:lang="en">Khotanese</lcc-lr:hasEnglishName>
+      <lcc-lr:hasEnglishName xml:lang="en">Sakan</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">khotanais</lcc-lr:hasFrenchName>
+      <lcc-lr:hasFrenchName xml:lang="fr">sakan</lcc-lr:hasFrenchName>
+      <lcc-lr:hasGermanName xml:lang="ge">Sakisch</lcc-lr:hasGermanName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7009,8 +7009,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Kimbundu language</skos:definition>
       <rdfs:label>Kimbundu</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Kimbundu</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">kimbundu</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Kimbundu</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">kimbundu</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7019,9 +7019,9 @@
       <rdf:type rdf:resource="&lcc-lr;IndividualLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Klingon language</skos:definition>
       <rdfs:label>Klingon</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Klingon</lcc-lr:hasEnglishName>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">tlhIngan-Hol</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">klingon</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Klingon</lcc-lr:hasEnglishName>
+      <lcc-lr:hasEnglishName xml:lang="en">tlhIngan-Hol</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">klingon</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7030,8 +7030,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Language code for Konkani (macrolanguage)</skos:definition>
       <rdfs:label>Konkani</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Konkani (macrolanguage)</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">konkani</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Konkani (macrolanguage)</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">konkani</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7040,8 +7040,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Kosraean language</skos:definition>
       <rdfs:label>Kosraean</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Kosraean</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">kosrae</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Kosraean</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">kosrae</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7050,8 +7050,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Language code for Kpelle</skos:definition>
       <rdfs:label>Kpelle</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Kpelle</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">kpellé</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Kpelle</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">kpellé</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7059,8 +7059,8 @@
       <rdf:type rdf:resource="&lcc-lr;LanguageFamily"/>
       <skos:definition rdf:datatype="&xsd;string">Kru languages family</skos:definition>
       <rdfs:label>Kru languages</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Kru languages</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">krou, langues</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Kru languages</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">krou, langues</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7069,8 +7069,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Kumyk language</skos:definition>
       <rdfs:label>Kumyk</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Kumyk</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">koumyk</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Kumyk</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">koumyk</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7079,8 +7079,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Kurukh language</skos:definition>
       <rdfs:label>Kurukh</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Kurukh</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">kurukh</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Kurukh</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">kurukh</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
